package dev.kske.chess;

import dev.kske.chess.Piece.Color;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Board.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Board {

	private Piece[][] boardArr;

	public Board() {
		boardArr = new Piece[8][8];
		initializeDefaultPositions();
	}

	private void initializeDefaultPositions() {
		// Initialize pawns
		for (int i = 0; i < 8; i++) {
			boardArr[i][1]	= new Pawn(Color.BLACK);
			boardArr[i][6]	= new Pawn(Color.WHITE);
		}
	}

	/**
	 * @return the board array
	 */
	public Piece[][] getBoardArr() { return boardArr; }
}
